# Pub Analyzer

Pub-Analyzer –[*Publication Analyzer*](https://github.com/alejandrgaspar/pub-analyzer)– is a Text User Interface –*TUI*–, written in Python, which automates the generation of scientific production reports using [*OpenAlex*](https://openalex.org/).

## What is Pub Analyzer for?

Pub Analyzer is a tool designed to retrieve, process and present in a concise and understandable way the scientific production of a researcher, including detailed information about their articles, citations, collaborations and other relevant metrics. The tool automates the collection and processing of data, providing users with a comprehensive view of the impact of their research and contributions in academia.

All our information comes from OpenAlex, an open and complete catalog of the world's scholarly papers, researchers, journals, and institutions &mdash; along with all the ways they're connected to one another. This is the key piece to **make all this possible**.

Pub Analyzer generates reports that you can view directly within the app, **export as PDF** files to submit as evidence, or **export as JSON** for analysis with the tools you use every day.

## Why use Pub Analyzer?

Researchers are generally required to submit scientific production reports when seeking promotions or funding to support their ongoing research. Instead of laborious manual tracking of their publications and citations, researchers now have the opportunity to perform all of these tasks automatically **in a matter of minutes**.

## Requirements

Pub Analyzer requires **Python 3.10 or later** and can run on Linux, macOS, and Windows.

## Installation

Install Pub Analyzer via PyPI, with the following command:

```
pip install pub-analyzer
```

## Usage

Open the app with the following command:

```
pub-analyzer
```

## Documentation

See [documentation](https://pub-analyzer.com/) for more details.

## Contributing

Pull requests are welcome!
